body {
    display: flex;
    flex-direction: column;
    position: relative;
    align-items: center;
    margin: 0px;
    padding: 0px;
    background-image: url(../img/porfolio_bg.png);
    background-repeat: no-repeat;
    background-size: cover;
    box-sizing: border-box;
    width: 100%;
}

@font-face {
    font-family: 'FiraCode';
    src: url('../fonts/firaCode/FiraCode-Regular.ttf') format('truetype');
    /* Chrome 4+, Firefox 3.5, Opera 10+, Safari 3-5 */
}

@font-face {
    font-family: 'Karla';
    src: url('../fonts/Karla/Karla-Regular.ttf') format('truetype');
    /* Chrome 4+, Firefox 3.5, Opera 10+, Safari 3-5 */
}

* {
    scroll-behavior: smooth;
}

.headfullsize {
    height: 98px;
    width: 100%;
    max-width: 100%;
    z-index: 8;
}

.logoMobile {
    display: none;
}

.logoMobile:hover {
    cursor: pointer;
    -webkit-text-stroke: 0.3px white;
    -webkit-text-fill-color: black;
}
.logoMobile:hover img {
    cursor: pointer;
    content: url(../img/final_unfilled.png);
}

.headLogo {
    display: flex;
    align-items: center;
    color: white;
    font-size: 27px;
    gap: 8px;
}

.headLogo:hover img {
    cursor: pointer;
    content: url(../img/final_unfilled.png);
}

.headLogo:hover h3 {
    cursor: pointer;
    -webkit-text-stroke: 0.3px white;
    -webkit-text-fill-color: black;
}

.headLogo img {
    height: 95px;
    width: 65px;
}

.headcontent {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 98px;
    width: 90%;
    margin: 0 auto;
    max-width: 1440px;
    /* padding: 0px 24px; */
    box-sizing: border-box;
    
}

.About {
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    color: white;
    font-family: 'FiraCode', sans-serif;
}

.skills {
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    color: white;
    font-family: 'FiraCode', sans-serif;
}

.projects {
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    color: white;
    font-family: 'FiraCode', sans-serif;
}

.About img {
    display: none;
    width: 8px;
    margin-top: 2px;
}

.skills img {
    display: none;
    width: 8px;
    margin-top: 2px;
}

.projects img {
    display: none;
    width: 8px;
    margin-top: 2px;
}

.About:hover img {
    display: flex;
    margin-bottom: -10px;
}

.skills:hover img {
    display: flex;
    margin-bottom: -10px;
}

.projects:hover img {
    display: flex;
    margin-bottom: -10px;
    cursor: pointer;
}


.headNavbar img:nth-child(2) {
    position: absolute;
    cursor: pointer;
    top: 0px;
    left: 0px;
    opacity: 0;
    display: block;
    transition: opacity 0.2s ease-in-out;
}

.headNavbar img:nth-child(2):hover {
    position: absolute;
    cursor: pointer;
    top: 0px;
    left: 0px;
    opacity: 1;
    transition: opacity 0.3s ease-in-out
}

.languageMobile {
    position: absolute;
    cursor: pointer;
    top: 184px;
    left: 50%;
    transform: translateX(-50%);
    opacity: 1;
    min-height:28px;
    transition: opacity 0.2s ease-in-out;
}

.languageMobile:hover{
    position: absolute;
    cursor: pointer;
    top: 184px;
    left: 50%;
    transform: translateX(-50%);
    /* display:flex; */
    opacity: 0;
    transition: opacity 0.3s ease-in-out
}

.link1M{
    display:flex;
    flex-direction: column;
    align-items: center;
    /* z-index: 3; */
}
.link2M{
    display:flex;
    flex-direction: column;
    align-items: center;
    margin:0px;
    /* z-index: 3; */
}
.link3M{
    display:flex;
    flex-direction: column;
    align-items: center;
    margin:0px;
    /* z-index: 3; */
}

.link1M img, .link2M img, .link3M img{
    display:none;
}

.link1M:hover img, .link2M:hover img, .link3M:hover img{
    display:flex;
    margin-bottom: -10px;
    cursor: pointer;
    gap:8px;
}


.headNavbar {
    display: flex;
    position: relative;
    justify-content: center;
    align-items: center;
    gap: 24px;
}

.headNavbar a {
    text-decoration: none;
}

.imgWrapper{
    min-height: 28px;

}

.burgerMenuMobile {
    display: none;
    pointer-events: none;
    gap:24px;
    position: relative;
    position: absolute;
    flex-direction: column;
    width: 238px;
    height: 252px;
    top: 80px;
    right: 26px;
    font-size:18px;
    padding: 40px 77px;
    box-sizing: border-box;
    background: linear-gradient(55.22deg, #1C1C1C 36.26%, #08463B 93.28%);
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(10px);
    z-index: 1;
    border-radius: 30px;
    opacity:0;
    color:white;
}

.burgerMenuMobile a {
    text-decoration: none;
    color: white;
    height:40px;
    text-align: center;
    width:max-content;
    font-family: 'FiraCode', sans-serif;
}

#nav-icon1 {
    width: 45px;
    height: 40px;
    position: relative;
    /* margin: 50px 0px 0px 0px; */
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
    display: none;
}

#nav-icon1 span {
    display: block;
    position: absolute;
    height: 5px;
    width: 100%;
    background: #0b9488;
    border-radius: 9px;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    -o-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}

#nav-icon1 span:nth-child(1) {
    top: 0px;
}

#nav-icon1 span:nth-child(2) {
    top: 15px;
}

#nav-icon1 span:nth-child(3) {
    top: 30px;
}

#nav-icon1.open span:nth-child(1) {
    top: 18px;
    -webkit-transform: rotate(135deg);
    -moz-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    transform: rotate(135deg);
}

#nav-icon1.open span:nth-child(2) {
    opacity: 0;
    left: -60px;
}

#nav-icon1.open span:nth-child(3) {
    top: 18px;
    -webkit-transform: rotate(-135deg);
    -moz-transform: rotate(-135deg);
    -o-transform: rotate(-135deg);
    transform: rotate(-135deg);
}


.secondFrame {
    position: absolute;
    width: 8px;
    height: 13px;
    top: 14px;
    left: 12px;
    opacity: 1;
    animation: change 1s ease-in-out infinite;
}

@keyframes change {
    0% {
        top: 14px;
    }

    100% {
        top: 22px;
    }
}

@media(max-width:820px) {
    .headcontent {
        padding: 0px 16px;
    }

    .headLogo {
        display: none;
    }

    .logoMobile {
        display: flex;
        width: 54px;
        height: 64px;
        color: white;
        font-size: 16px;
        align-items: center;
    }

    .logoMobile img {
        width: 54px;
        height: 64px;
    }

    .headNavbar {
        display: none;
    }

    #nav-icon1 {
        display: block;
    }

    .burgerMenuMobile {
        display: flex;
    
}
}

@media(max-width:500px){
    #nav-icon1{
        width: 40px;
        height: 35px;
    }
}